#ifndef GeneDetectorConstruction_H
#define GeneDetectorConstruction_H 1

class G4LogicalVolume;
class G4VPhysicalVolume;
class GeneDetectorConstructionMessenger;

#include <G4VUserDetectorConstruction.hh>
#include <globals.hh>

class GeneDetectorConstruction : public G4VUserDetectorConstruction {
public:
    GeneDetectorConstruction();
    ~GeneDetectorConstruction();

public:
    G4VPhysicalVolume* Construct();
    inline void SetZoffset(G4double val) { Zoffset = val; };
    inline void SetZactiveshift(G4double val) { Zactiveshift = val; };
    inline void SetBfraction(G4double val) { PE_Bfraction = val; };
    inline void SetDetReaction(G4String val) { SReaction = val; };

private:
    G4LogicalVolume* logicalWorld;
    G4VPhysicalVolume* physicalWorld;

    G4double Zoffset;
    G4double Zactiveshift;
    G4double PE_Bfraction;
    G4String SReaction;
    GeneDetectorConstructionMessenger* pMessenger;
};

#endif
