#ifndef GeneDetectorConstructionMessenger_h
#define GeneDetectorConstructionMessenger_h 1

#include <G4UImessenger.hh>
#include <globals.hh>

class GeneDetectorConstruction;
class G4UIdirectory;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWithADouble;
class G4UIcmdWithAString;

class GeneDetectorConstructionMessenger : public G4UImessenger {
public:
    GeneDetectorConstructionMessenger(GeneDetectorConstruction*);
    virtual ~GeneDetectorConstructionMessenger();

    virtual void SetNewValue(G4UIcommand*, G4String);

private:
    GeneDetectorConstruction* pDetectorConstruction;

    G4UIdirectory* DetectorDir;
    G4UIcmdWithADoubleAndUnit* ZoffsetCmd;
    G4UIcmdWithADoubleAndUnit* ZactiveshiftCmd;
    G4UIcmdWithADouble* PE_BfractionCmd;
    G4UIcmdWithAString* DetReactionCmd;
};

#endif
